#!/bin/sh
#
# author: hackbard@hackdaworld.dyndns.org
#
# hdw - linux make tar script
# just for personal use to make tarballs from the cvs snaps!
#

# make a tarball from the hdw sources
if [ -z "$1" ] ; then 
	version="0.2"
else
	version="$2"
fi

d_tag=`date | awk '{ print $6 "-" $2 "-" $3 }'`
c_tag=`date | awk '{ print $4 }' | sed 's/:/-/g'`
tag="-${d_tag}-${c_tag}"
[ -z "`echo $version | grep 'dev'`" ] && tag=""

if [ -f hdw-linux-${version}${tag}* ] ; then
	echo "delete old tarball pls!"
	exit 1
fi

rm -rf hdw-linux-${version}
cvs -d:pserver:anonymous@gate:/hdw-linux co hdw-linux-${version}
cd hdw-linux-${version}
rm -r CVS
rm -r */CVS
rm -r */*/CVS
rm -r */*/*/CVS
rm -r */*/*/*/CVS
rm -r */*/*/*/*/CVS

cd ..
tar cvf hdw-linux-${version}${tag}.tar hdw-linux-${version}
bzip2 hdw-linux-${version}${tag}.tar
scp hdw-linux-${version}${tag}.tar.bz2 \
gate:/chroot/www/htdocs/download/hdw-linux/hdw-linux-$version/snapshots/
rm hdw-linux-${version}${tag}.tar.bz2
rm -r hdw-linux-${version}

echo "done"


